> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> List the account's shared Webhook subscriptions.

MCP tool: `podcast_list_webhooks`. OAuth scope: `podcast.read`.

<Warning>These subscriptions belong to the account. They do not provide completion notifications for the new Podcast flow. Use [task polling](/api-reference/guides/polling-and-outputs); see [Webhook availability](/api-reference/guides/webhooks).</Warning>


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/webhooks
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/webhooks:
    get:
      tags:
        - Podcast
      summary: list webhooks
      description: List the account's shared Webhook subscriptions.
      operationId: podcast_list_webhooks
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ListWebhookResponse'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ListWebhookResponse:
      properties:
        data:
          allOf:
            - $ref: '#/components/schemas/vo.ListWebhookData'
          description: 响应数据
      type: object
    vo.ListWebhookData:
      properties:
        endpoints:
          description: webhook端点列表
          items:
            $ref: '#/components/schemas/vo.WebhookEndpoint'
          type: array
      type: object
    vo.WebhookEndpoint:
      properties:
        created_at:
          description: 创建时间
          type: integer
        endpoint_id:
          description: webhook唯一标识
          type: string
        events:
          description: 事件列表
          items:
            type: string
          type: array
        secret:
          description: 密钥
          type: string
        status:
          description: 状态(enabled/disabled)
          type: string
        url:
          description: webhook地址
          type: string
        username:
          description: 用户名
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````